%%
%
%
%
ccc

%%
ccc
global key_pressed; key_pressed = '';

% Init lane
nr_lane = 3;
width   = 30000;
track  = init_track(nr_lane);
track  = add_segment(track, 'straight', width, 20000);
track  = add_segment(track, 'right_turn', width, 20000);
track  = add_segment(track, 'right_turn', width, 20000);
track  = add_segment(track, 'straight', width, 20000);
track  = add_segment(track, 'left_turn', width, 20000);
track  = add_segment(track, 'right_turn', width, 20000);
track  = add_segment(track, 'right_turn', width, 20000);
track  = add_segment(track, 'straight', width, 40000);
track  = add_segment(track, 'right_turn', width, 20000);
track  = add_segment(track, 'straight', width, 40000);

% Car pos
car.pos = [0 0 0]; car.vel = [0 0];

% Other cars (obstacles)


% Simulation
T = 0.02;
tick = 0;

% Figure
fig = figure(1);
set(fig, 'KeyPressFcn', @keyDownListener ...
    , 'Position', [200 300 900 800]);
flag = 1;
mode.flag = 1;
while flag
    if isequal(key_pressed, '') == 0
        switch key_pressed
            case 'uparrow'
                car.vel(1) = car.vel(1) + 10000;
            case 'downarrow'
                car.vel(1) = car.vel(1) - 10000;
            case 'leftarrow'
                car.vel(2) = car.vel(2) + 20;
            case 'rightarrow'
                car.vel(2) = car.vel(2) - 20;
            case 'space'
                car.vel = [0 0];
            case 'q'
                flag = 0;
            case 'p'
                mode.flag = ~mode.flag;
        end
        key_pressed = '';
    end
    switch mode.flag
        case 0 % PAUSE
            % Mode
            mode_str = 'PAUSE';
        case 1 % RUN
            % Update
            tick = tick + 1; sec = tick * T;
            % Update robot
            car.pos = update_pos(car.pos, car.vel, T);
            % Get features
            info = get_trackinfo(track, car.pos);
            % Mode
            mode.str = 'RUN';
    end 
    % Plot 
    plot_demo_maketrack(track, car, info, tick, sec, T, mode);
end
title('Terminated', 'FontSize', 20, 'Color', 'r');
fprintf(2, 'Terminated. \n');


%%

