function plot_demo_maketrack(track, car, info, tick, sec, T, mode)

persistent fist_flag h_cartraj h_cartrajbd h_carfill h_carbd h_cararrow h_title;
if isempty(fist_flag)
    fist_flag = 1;
end

car.postemp = car.pos;
car_traj = zeros(5, 3);
car_trajbd = cell(5, 1);
for i = 1:5
    car.postemp = update_pos(car.postemp, car.vel, 0.4);
    car_traj(i, :) = car.postemp;
    car_trajbd{i} = get_circle(car.postemp(1), car.postemp(2), 2000, 20);
end
circle_bd = get_circle(car.pos(1), car.pos(2), 2000, 20);
info_str = sprintf('[%s][%d] time: %.2fsec / SegLaneIdx: %d:%d / dev: %.2fm / dist: %.2fm' ...
    , mode.str, tick, sec, info.seg_idx, info.lane_idx, info.dev/1000, info.dist/1000);

% Plot 
pred_hor = 5;
if fist_flag
    hold on;
    plot_track(track);
    % Future pos
    for i = 1:pred_hor
        [h1, h2, h3] = plot_arrow(car_traj(i, 1:2), 2000, car_traj(i, 3) , 'k', 1);
        h_cartraj{i} = [h1 h2 h3];
        h_cartrajbd{i} = plot(car_trajbd{i}(:, 1), car_trajbd{i}(:, 2), 'k', 'LineWidth', 1);
    end
    % Car pos
    h_carfill = fill(circle_bd(:, 1), circle_bd(:, 2), 'g');
    h_carbd = plot(circle_bd(:, 1), circle_bd(:, 2), 'k', 'LineWidth', 3);
    [h1, h2, h3] = plot_arrow(car.pos, 2000, car.pos(3), 'k', 3);
    h_cararrow = [h1 h2 h3];
    % ETC
    switch mode.flag
        case 0
            h_title = title(sprintf('%s', info_str), 'FontSize', 20, 'Color', 'b');
        case 1
            h_title = title(sprintf('%s', info_str), 'FontSize', 20, 'Color', 'k');
    end
    axis equal; grid on; xlabel('X [mm]', 'FontSize', 15); ylabel('Y [mm]', 'FontSize', 15);
    fist_flag = 0;
else
    % Future pos
    for i = 1:pred_hor
        [x1, y1, x2, y2, x3, y3] = get_arrow(car_traj(i, 1:2), 2000, car_traj(i, 3) , 'k', 1);
        h_cartraj{i}(1).XData = x1; h_cartraj{i}(1).YData = y1;
        h_cartraj{i}(2).XData = x2; h_cartraj{i}(2).YData = y2;
        h_cartraj{i}(3).XData = x3; h_cartraj{i}(3).YData = y3;
        h_cartrajbd{i}.XData = car_trajbd{i}(:, 1);
        h_cartrajbd{i}.YData = car_trajbd{i}(:, 2);
    end
    % Car pos
    h_carfill.Vertices = circle_bd;
    h_carbd.XData = circle_bd(:, 1); h_carbd.YData = circle_bd(:, 2);
    [x1, y1, x2, y2, x3, y3] = get_arrow(car.pos, 2000, car.pos(3), 'k', 3);
    h_cararrow(1).XData = x1; h_cararrow(1).YData = y1;
    h_cararrow(2).XData = x2; h_cararrow(2).YData = y2;
    h_cararrow(3).XData = x3; h_cararrow(3).YData = y3;
    % ETC
    h_title.String = info_str;
    switch mode.flag
        case 0
            h_title.Color = 'b';
        case 1
            h_title.Color = 'k';
    end
end







drawnow;

